Package io.dapr.config

# Class Properties

java.lang.Object
io.dapr.config.Properties

public class Properties extends Object
Global properties for Dapr's SDK, using Supplier so they are dynamically resolved.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Property<String>`
  `API_TOKEN`
  API token for authentication between App and Dapr's side car.
  `static final Property<Boolean>`
  `GRPC_ENABLE_KEEP_ALIVE`
  GRPC enable keep alive.
  `static final Property<String>`
  `GRPC_ENDPOINT`
  GRPC endpoint for remote sidecar connectivity.
  `static final Property<Duration>`
  `GRPC_KEEP_ALIVE_TIME_SECONDS`
  GRPC keep alive time in seconds.
  `static final Property<Duration>`
  `GRPC_KEEP_ALIVE_TIMEOUT_SECONDS`
  GRPC keep alive timeout in seconds.
  `static final Property<Boolean>`
  `GRPC_KEEP_ALIVE_WITHOUT_CALLS`
  GRPC keep alive without calls.
  `static final Property<Integer>`
  `GRPC_MAX_INBOUND_MESSAGE_SIZE_BYTES`
  Dapr's default maximum inbound message size for GRPC in bytes.
  `static final Property<Integer>`
  `GRPC_MAX_INBOUND_METADATA_SIZE_BYTES`
  Dapr's default maximum inbound metadata size for GRPC in bytes.
  `static final Property<Integer>`
  `GRPC_PORT`
  GRPC port for Dapr after checking system property and environment variable.
  `static final Property<String>`
  `GRPC_TLS_CA_PATH`
  GRPC TLS CA cert path for Dapr after checking system property and environment variable.
  `static final Property<String>`
  `GRPC_TLS_CERT_PATH`
  GRPC TLS cert path for Dapr after checking system property and environment variable.
  `static final Property<Boolean>`
  `GRPC_TLS_INSECURE`
  Use insecure TLS mode which still uses TLS but doesn't verify certificates.
  `static final Property<String>`
  `GRPC_TLS_KEY_PATH`
  GRPC TLS key path for Dapr after checking system property and environment variable.
  `static final Property<Integer>`
  `HTTP_CLIENT_MAX_IDLE_CONNECTIONS`
  Dapr's default maximum number of idle connections for HTTP connection pool.
  `static final Property<Integer>`
  `HTTP_CLIENT_MAX_REQUESTS`
  Dapr's default maximum number of requests for HTTP client to execute concurrently.
  `static final Property<Integer>`
  `HTTP_CLIENT_READ_TIMEOUT_SECONDS`
  Dapr's timeout in seconds for HTTP client reads.
  `static final Property<String>`
  `HTTP_ENDPOINT`
  GRPC endpoint for remote sidecar connectivity.
  `static final Property<Integer>`
  `HTTP_PORT`
  HTTP port for Dapr after checking system property and environment variable.
  `static final Property<Integer>`
  `MAX_RETRIES`
  Maximum number of retries for retriable exceptions.
  `static final Property<String>`
  `SIDECAR_IP`
  IP for Dapr's sidecar.
  `static final Property<Charset>`
  `STRING_CHARSET`
  Determines which string encoding is used in Dapr's Java SDK.
  `static final Property<Duration>`
  `TIMEOUT`
  Timeout for API calls.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Properties()`
  Creates a new instance to handle Properties per instance.
  `Properties(Map<?,String> overridesInput)`
  Creates a new instance to handle Properties per instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `getValue(Property<T> property)`
  Gets a property value taking in consideration the override values.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SIDECAR_IP

    public static final Property<String> SIDECAR_IP
    IP for Dapr's sidecar.

  - ### HTTP_PORT

    public static final Property<Integer> HTTP_PORT
    HTTP port for Dapr after checking system property and environment variable.

  - ### GRPC_PORT

    public static final Property<Integer> GRPC_PORT
    GRPC port for Dapr after checking system property and environment variable.

  - ### GRPC_TLS_CERT_PATH

    public static final Property<String> GRPC_TLS_CERT_PATH
    GRPC TLS cert path for Dapr after checking system property and environment variable.

  - ### GRPC_TLS_KEY_PATH

    public static final Property<String> GRPC_TLS_KEY_PATH
    GRPC TLS key path for Dapr after checking system property and environment variable.

  - ### GRPC_TLS_CA_PATH

    public static final Property<String> GRPC_TLS_CA_PATH
    GRPC TLS CA cert path for Dapr after checking system property and environment variable. This is used for TLS connections to servers with self-signed certificates.

  - ### GRPC_TLS_INSECURE

    public static final Property<Boolean> GRPC_TLS_INSECURE
    Use insecure TLS mode which still uses TLS but doesn't verify certificates. This uses InsecureTrustManagerFactory to trust all certificates. This should only be used for testing or in secure environments.

  - ### GRPC_ENDPOINT

    public static final Property<String> GRPC_ENDPOINT
    GRPC endpoint for remote sidecar connectivity.

  - ### GRPC_ENABLE_KEEP_ALIVE

    public static final Property<Boolean> GRPC_ENABLE_KEEP_ALIVE
    GRPC enable keep alive. Environment variable: DAPR_GRPC_ENABLE_KEEP_ALIVE System property: dapr.grpc.enable.keep.alive Default: false

  - ### GRPC_KEEP_ALIVE_TIME_SECONDS

    public static final Property<Duration> GRPC_KEEP_ALIVE_TIME_SECONDS
    GRPC keep alive time in seconds. Environment variable: DAPR_GRPC_KEEP_ALIVE_TIME_SECONDS System property: dapr.grpc.keep.alive.time.seconds Default: 10 seconds

  - ### GRPC_KEEP_ALIVE_TIMEOUT_SECONDS

    public static final Property<Duration> GRPC_KEEP_ALIVE_TIMEOUT_SECONDS
    GRPC keep alive timeout in seconds. Environment variable: DAPR_GRPC_KEEP_ALIVE_TIMEOUT_SECONDS System property: dapr.grpc.keep.alive.timeout.seconds Default: 5 seconds

  - ### GRPC_KEEP_ALIVE_WITHOUT_CALLS

    public static final Property<Boolean> GRPC_KEEP_ALIVE_WITHOUT_CALLS
    GRPC keep alive without calls. Environment variable: DAPR_GRPC_KEEP_ALIVE_WITHOUT_CALLS System property: dapr.grpc.keep.alive.without.calls Default: true

  - ### HTTP_ENDPOINT

    public static final Property<String> HTTP_ENDPOINT
    GRPC endpoint for remote sidecar connectivity.

  - ### MAX_RETRIES

    public static final Property<Integer> MAX_RETRIES
    Maximum number of retries for retriable exceptions.

  - ### TIMEOUT

    public static final Property<Duration> TIMEOUT
    Timeout for API calls.

  - ### API_TOKEN

    public static final Property<String> API_TOKEN
    API token for authentication between App and Dapr's side car.

  - ### STRING_CHARSET

    public static final Property<Charset> STRING_CHARSET
    Determines which string encoding is used in Dapr's Java SDK.

  - ### HTTP_CLIENT_READ_TIMEOUT_SECONDS

    public static final Property<Integer> HTTP_CLIENT_READ_TIMEOUT_SECONDS
    Dapr's timeout in seconds for HTTP client reads.

  - ### HTTP_CLIENT_MAX_REQUESTS

    public static final Property<Integer> HTTP_CLIENT_MAX_REQUESTS
    Dapr's default maximum number of requests for HTTP client to execute concurrently.

  - ### HTTP_CLIENT_MAX_IDLE_CONNECTIONS

    public static final Property<Integer> HTTP_CLIENT_MAX_IDLE_CONNECTIONS
    Dapr's default maximum number of idle connections for HTTP connection pool.

  - ### GRPC_MAX_INBOUND_MESSAGE_SIZE_BYTES

    public static final Property<Integer> GRPC_MAX_INBOUND_MESSAGE_SIZE_BYTES
    Dapr's default maximum inbound message size for GRPC in bytes.

  - ### GRPC_MAX_INBOUND_METADATA_SIZE_BYTES

    public static final Property<Integer> GRPC_MAX_INBOUND_METADATA_SIZE_BYTES
    Dapr's default maximum inbound metadata size for GRPC in bytes.

- ## Constructor Details

  - ### Properties

    public Properties()
    Creates a new instance to handle Properties per instance.

  - ### Properties

    public Properties(Map<?,String> overridesInput)
    Creates a new instance to handle Properties per instance.
    Parameters:
      `overridesInput` - to override static properties

- ## Method Details

  - ### getValue

    public <T> T getValue(Property<T> property)
    Gets a property value taking in consideration the override values.
    Type Parameters:
      `T` - type of the property that we want to get the value from
    Parameters:
      `property` - to override static property value from overrides
    Returns:
      the property's value